html,
body {
  height: 100%;
  -webkit-print-color-adjust: exact !important;
}

body.bha {
  height: auto;
}

.dn { display: none;}
.vh0 { 
  position: absolute;
  visibility: hidden;
  top: 0;
}
.linku { text-decoration: underline; color: inherit; }
.linku:hover { text-decoration: none;  color: inherit; }

.wrap {
  min-height: calc(100% - 306px);
  height: auto;
  /* margin: 0 auto -60px; */
  padding: 0 0 60px;
}

.wrap > .container {
    padding: 70px 15px 20px;
}

.footer {
    height: 60px;
    background-color: #f5f5f5;
    border-top: 1px solid #ddd;
    padding-top: 20px;
}

.jumbotron {
    text-align: center;
    background-color: transparent;
}

.jumbotron .btn {
    font-size: 21px;
    padding: 14px 24px;
    
}

.not-set {
    color: #c55;
    font-style: italic;
}

.em3a > a {
  display: inline-block;
  vertical-align: top;
  margin: 10px 0 !important;
  width: 150px;
}

.em3a > a > b {
  display: block;
  font-style: normal;
  text-transform: uppercase;
  line-height: 1;
  font-size: 12px;
  letter-spacing: 1px;
  font-family: system-ui;
  color: #535453;
  background: #f5f9ff;
  position: relative;
  top: -22px;
}

.em3a > a.showAll.on > b.zwin, .em3a > a.showAll.of > b.rozwin {
  display: none;
}

.em3a > a.showAll i.zoom {
  display: block;
  width: 36px;
  height: 36px;
  margin: 8px auto 32px auto;
}

.em3a > a.showAll.on i.zoom {
  background-image: url(/graf/size1.png);
  background-size: cover;
}

.em3a > a.showAll.of i.zoom {
  background-image: url(/graf/size2.png);
  background-size: cover;
}

.em3a > a > img {
  height: 77px;
  width: auto !important;
  margin: 0 !important;
}

.em3a > a > b.red {
  color: #b90603;
}

.em3a > a.showAll > p.fixed {
  position: fixed;
  top: 80px;
  left: 0;
  background: #fff;
  padding: 6px;
  border-radius: 5px;
  transition: .5s;
}

.em3a > a.showAll > p.fixed > i.zoom {
  margin: 0;
}

body.eMo .em3a > a.showAll > p.fixed {
    left: 212px;
    z-index: 9;
    opacity: .9;
}

/* add sorting icons to gridview sort links */
a.asc:after, a.desc:after {
    position: relative;
    top: 1px;
    display: inline-block;
    font-family: 'Glyphicons Halflings';
    font-style: normal;
    font-weight: normal;
    line-height: 1;
    padding-left: 5px;
}

a.asc:after {
    content: "\e151";
}

a.desc:after {
    content: "\e152";
}

.sort-numerical a.asc:after {
    content: "\e153";
}

.sort-numerical a.desc:after {
    content: "\e154";
}

.sort-ordinal a.asc:after {
    content: "\e155";
}

.sort-ordinal a.desc:after {
    content: "\e156";
}

.grid-view td {
    white-space: nowrap;
}

.grid-view .filters input,
.grid-view .filters select {
    min-width: 50px;
}

.hint-block {
    display: block;
    margin-top: 5px;
    color: #999;
}

.error-summary {
    color: #a94442;
    background: #fdf7f7;
    border-left: 3px solid #eed3d7;
    padding: 10px 20px;
    margin: 0 0 15px 0;
}

/* align the logout "link" (button in form) of the navbar */
.nav > li > form {
    padding: 8px;
}




div.unpaid {
  position: fixed;
  top: 80px;
  left: 0;
  right: 0;
  background: #ff0000;
  color: #ffffff;
  width: 100%;
  text-align: center;
}

div.unpaid > p {
  margin: 2px;
}

.unpaid_list {
  border: 1px solid #ff0000;
  max-height: 200px;
  overflow: auto;
  border-radius: 5px;
  padding: 10px;
  margin: 10px 0;
}

/* */
body { font-family: 'Open Sans', sans-serif; }

a { color: #04375E; }
.opacity0 { opacity: 0; }

/* HEADER */
body { background: #FAFBFF; }
.navbar-main { height: 80px; background: #fff; border-top: 3px solid #04375E;border-bottom: 1px solid #f5f5f5; }
.navbar-main .header-logo { max-width: 160px; float: left; }
.navbar-main .header-logo-laur { margin-top: 4px; max-height: 68px; float: left; }
.navbar-main .navbar-brand { padding: 0; }
.navbar-main .navbar-nav li a,
.navbar-main .navbar-nav li a:hover,
.navbar-main .navbar-nav li a:active,
.navbar-main .navbar-nav li a:focus {  padding: 30px 16px; background: none; }
.navbar-main .navbar-nav li a:hover { text-decoration: underline; }
.navbar-main .navbar-nav li.active > a { font-weight: 600; }

.navbar-main .dropdown-menu { min-width: 220px; margin-top: -4px !important; border: 1px solid #eee; border-top: 0; }
.navbar-main .dropdown-menu li > a,
.navbar-main .dropdown-menu li > a:hover,
.navbar-main .dropdown-menu li.active > a,
.navbar-main .dropdown-menu li.active > a:hover { /*padding: 8px 12px;*/ color: #04375E; /*font-weight: normal !important;*/ }

.navbar-main .li-limits { color: #777; line-height: 16px; font-size: 13px; }
.navbar-main .li-limits span { padding: 0 12px; display: inline-block; }

.li-limits .ORtime {
  text-align: right;
  margin: 10px;
  font-weight: 600;
}

/* FORM INPUT */
input.form-control,
input.form-control:focus,
textarea.form-control,
textarea.form-control:focus,
select.form-control,
select.form-control:focus { border-radius: 8px; box-shadow: none !important; border: none; }

/* BTN */
.btn,
.btn:focus { border-radius: 0px; box-shadow: none;  border: 0; }
.btn-primary { background: #04375E; }
.btn-primary:focus,
.btn-primary:active,
.btn-primary:hover { background: #08538c; box-shadow: none; }


/* ALERT */
.alert { border: 0; border-bottom: 1px solid #ddd; }


/* CONTAINER */
.container-first { padding-top: 110px !important; }
.container-first h1 { margin: 5px 0 35px 0; padding: 0 0 10px 0; border-bottom: 1px solid #ccc; color: #04375E; font-weight: 100; }

.container-first h1,
.line { border-bottom: 1px solid #ccc; }
.line { width: 100%; display: inline-block; }

/* FOOTER */
footer { height: auto !important; background: #444 !important; }
footer,
footer a,
footer a:hover { color: #ddd; }
footer h5 { margin-bottom: 8px; text-transform: uppercase; font-weight: 700; font-size: 15px; }
ul.nav-foot { margin: 0; padding: 0; }
ul.nav-foot li,
ul.nav-foot li a { display: block; }
ul.nav-foot li a { padding: 3px 0; }

.footer-bottom { margin: 15px 0 0 0; padding: 15px 0 0 0; background: #323232; }

/* SPINNER */
.spinner {
  margin: 100px auto;
  width: 40px;
  height: 40px;
  position: relative;
}

.cube1, .cube2 {
  background-color: #09023B;
  width: 40px;
  height: 40px;
  position: absolute;
  top: 0;
  left: 0;
  
  -webkit-animation: sk-cubemove 1.8s infinite ease-in-out;
  animation: sk-cubemove 1.8s infinite ease-in-out;
}

.cube2 {
  -webkit-animation-delay: -0.9s;
  animation-delay: -0.9s;
}

.spinnermin { margin: 0px auto; height: 80px; }

@-webkit-keyframes sk-cubemove {
  25% { -webkit-transform: translateX(42px) rotate(-90deg) scale(0.5) }
  50% { -webkit-transform: translateX(42px) translateY(42px) rotate(-180deg) }
  75% { -webkit-transform: translateX(0px) translateY(42px) rotate(-270deg) scale(0.5) }
  100% { -webkit-transform: rotate(-360deg) }
}

@keyframes sk-cubemove {
  25% { 
    transform: translateX(42px) rotate(-90deg) scale(0.5);
    -webkit-transform: translateX(42px) rotate(-90deg) scale(0.5);
  } 50% { 
    transform: translateX(42px) translateY(42px) rotate(-179deg);
    -webkit-transform: translateX(42px) translateY(42px) rotate(-179deg);
  } 50.1% { 
    transform: translateX(42px) translateY(42px) rotate(-180deg);
    -webkit-transform: translateX(42px) translateY(42px) rotate(-180deg);
  } 75% { 
    transform: translateX(0px) translateY(42px) rotate(-270deg) scale(0.5);
    -webkit-transform: translateX(0px) translateY(42px) rotate(-270deg) scale(0.5);
  } 100% { 
    transform: rotate(-360deg);
    -webkit-transform: rotate(-360deg);
  }
}




.home-menu-center { width: 100%; max-width: 490px; margin: 0 auto; text-align: center; }
.home-menu-center .btn { margin: 0 8px 25px 8px; }



.btn-stat { width: 230px; margin-bottom: 25px; }
.h4-stat { height: 42px; }
.stamp-radio { margin: 15px 15px 15px 0; display: inline-block; border: 2px solid #ddd; }
.stamp-form input[type="radio"] { opacity: 0; width: 0px; height: 0px; }
.stamp-form input[type="radio"]:checked+label{ border: 2px solid #09023B; } 

#formstamp-type {
  max-width: 600px;
}
#formstamp-type > label > img {
  max-width: 100%;
}

.navbar-main .navbar-nav li a, .navbar-main .navbar-nav li a:hover, .navbar-main .navbar-nav li a:active, .navbar-main .navbar-nav li a:focus {
  padding: 30px 10px;
}

/* MENU */
.front-main-menu .dropdown-menu li a,
.front-main-menu .dropdown-menu li a:hover,
.front-main-menu .dropdown-menu li a:active,
.front-main-menu .dropdown-menu li a:focus { padding: 10px 15px; }

#account-drop.open #menu-load-stat-raport .waiting,
#monitoring-drop.open #menu-load-stat-monitoring .waiting {
  display: block;
}

#monitoring-drop #menu-load-stat-monitoring .waiting .spinner {
    margin: 10px 50px 50px 10px;
}

.yourMentorTK .yourMentor {
  box-shadow: 0 0 10px #dcdcdc;
  border-radius: 20px;
  padding: 20px;
  margin: 20px 0;
  max-width: 300px;
}

.unpaid p, .unpaid > div, .unpaid > div > div, .unpaid > div > div > div {
  display: inline-block;
  margin: 2px;
}

.unpaid .yourMentor a {
  color: #fff;
}

.yourMentorF .yourMentor p:first-child, .yourMentorNF p:first-child, .unpaid .yourMentor p:first-child  {
  display: none;
}

.yourMentorLi .yourMentor {
  margin: 17px 17px 0 17px;
  color: #5e5e5e;
}

.yourMentorLi .yourMentor p:first-child {
  font-weight: bold;
}

.yourMentorNF .yourMentor {
  text-align: right;
}

@media (max-width: 990px) {
    footer .col-md-5,
    footer .col-md-4,
    footer .col-md-3 { padding-bottom: 25px; }
}

@media (max-width: 500px) {

  
  .home-menu-btn .col-md-3 { text-align: center !important; }
  .home-menu-btn .col-md-3 .btn { width: 180px; }

  .container h1 { font-size: 28px; }

  .jumbotron h2 { font-size: 34px; }

  .input-group-check-company { width: 100%;}
  .input-group-check-company .form-control { width: 100%; }
  .input-group-check-company .input-group-btn { padding-top: 22px; display: block; clear: both; }

  .btn { padding: 8px 18px; }
}




@media (min-width: 1200px) {
    .container {
        width: 90%;
        max-width: 1920px;
    }
}
@media (min-width: 2100px) {
    .container {
        width: 100%;
        max-width: 1920px;
    }
}

@media ( max-width: 1230px) {
  img.header-logo-zauf {
      display: none;
  }
}

@media ( max-width: 992px) {
    .container {
        width: 100%;
        max-width: 1920px;
    }
    .container-first h1 {
      padding: 0 38px 10px 38px;
  }
}

@media(max-width:768px) {
	.nav li > form {
	    padding: 3px;
	}

  .navbar-main .navbar-nav { 
    background: #fff;
  }
  .navbar-main .navbar-nav li { display: block; float: none; }
  .navbar-main .navbar-nav li a, .navbar-main .navbar-nav li a:hover, .navbar-main .navbar-nav li a:active, .navbar-main .navbar-nav li a:focus  { 
    padding: 15px 10px;
  }
  .navbar-toggle { margin-top: 20px; }
  .navbar-toggle .icon-bar { background: #444; }

}

.nav > li > form > button:hover {
    text-decoration: none;
}




table.tab-light-alerts { width: 100%; }
table.tab-light-alerts tr td { border: 1px solid #333; }
table.xtab-light-alerts { margin-top: 15px; clear: both; float: none; }

.reports-lights { margin: 15px auto; text-align: center; }
.reports-lights .circle { width: 60px; height: 60px; margin: 0 10px; border-radius: 50%; display: inline-block; border: 1px solid #060438; background: #dedede; }
.reports-lights .circle.green,
.reports-lights-small .circle.green { background-color: #92D050 !important; }
.reports-lights .circle.yellow,
.reports-lights-small .circle.yellow { background-color: #FFFF00 !important; }
.reports-lights .circle.red,
.reports-lights-small .circle.red { background-color: #FF0000 !important; -webkit-print-color-adjust: exact; }

t-alerts { margin-top: 15px; clear: both; float: none; }

.small-ligh-cont-fin-data .reports-lights-small { float: left; margin-top: 0px; }
.reports-lights-small { width: 110px; margin: 5px auto; text-align: center;  }
.reports-lights-small .circle { width: 26px; height: 26px; margin: 0 2px; border-radius: 50%; display: inline-block; border: 1px solid #060438; background: #dedede; }

/* SEMAFOR SVG */
.semafor-block { width: 100%; margin-top: 30px; text-align: center; }
.semafor-block svg { margin: 0 10px; }

/* SEMAFOR SVG small */
.semafor-block.small { width: 110px; } 
.semafor-block.small svg { margin: 0 2px; } 
.small-ligh-cont-fin-data .semafor-block.small { float: left; margin-top: 0px; }

.semafor-min { width: 23px; height: 23px; display: inline-block; border-radius: 50%; /*border: 1px solid #777;*/ }
.semafor-min:hover { opacity: 0.8; }


.btn-upload input[type=file] { width: 1px !important; height: 1px !important; margin: 0px; padding: 0px; /*display: none;*/ opacity: 0; }
.btn-upload .form-group,
.btn-upload .help-block  { margin: 0; }
.btn-upload { font-size: 14px; padding: 12px 15px 12px 15px; cursor: pointer; background: #cdcdcd; }

.waiting-r {
  position: fixed;
  top: calc(50% - 120px);
  right: calc(50% - 130px);
  z-index: 3;
}

@media print
{    
    .no-print, .no-print *
    {
        display: none !important;
    }

    .container.container-first { padding-top: 5px !important; }
    .container.container-first h1 { font-size: 24px; }
    #resizable.chatgpt, #pojo-a11y-toolbar, .waiting-r { display: none !important; }
}



#relation-analitycs { 
width: 100%;
height: 420px;
display: block;
border: 0px;
}

.relation-list {
  border-bottom: 1px solid #ccc;
  padding-bottom: 10px;
  margin-bottom: 20px;
}


select.form-control,
input.form-control,
input.form-control:hover,
input.form-control:focus,
input.form-control:active,
textarea.form-control,
textarea.form-control:hover
textarea.form-control:focus
textarea.form-control:active { background: #FFFFFF; border: 1px solid #ccc !important; border-radius: 8px; }

.btn,
.btn:focus,
.btn:active,
.btn:hover { border-radius: 6px; }

/**/
.ul-sel {
  position: relative;
  margin: 30px 0;
  border: 1px solid #ddd;
  background: #fff;
  border-radius: 4px;
  padding: 15px;
}

.ul-sel h4 {
  font-size: 16px;
}

.ul-sel .rbox {
  display: flex;
  flex-direction: row;
}

.ul-sel div a {
  display: block;
  background: #04375E;
  color: #fff;
  padding: 6px 12px;
  border-radius: 6px;
  font-size: 14px;
  text-decoration: none;
  margin: 10px 10px 0 0;
}

.ul-sel.jdg div a.sr2, .ul-sel.jdg div a.sr3, .rbox .noLimit {
  cursor: no-drop;
  opacity: .2;
}

.ul-sel div p {
  flex: 1;
  display: flex;
}

.ul-sel div a:hover {
  color: #fff;
  background-color: #204d74;
  border-color: #122b40;
}

.ul-sel > i {
  position: absolute;
  top: -10px;
  left: 6px;
  font-style: normal;
  background: #d7b46a;
  padding: 0 10px;
  color: #fff;
  border-radius: 4px;
}

.ul-sel div i {
  font-style: normal;
  font-size: 14px;
}

.ul-sel .rtab {
  display: none;
  position: fixed;
  z-index: 100;
  background: #fff;
  border: 1px solid #ddd;
}

.ul-sel .ul-spi {
  display: none;
  position: absolute;
  top: -12px;
  left: -4px;
  right: -4px;
  bottom: -4px;
  background: #fffc;
}

.ul-sel.spi .ul-spi {
  display: block;
}

#modal-confirm-report .ul-sel .rtab {
  position: initial !important;
}

.ul-sel .rtab table {
  margin: 0;
}
.rtab.sr1 tr.st2, .rtab.sr1 tr.st3, .rtab.sr1 tr.st4, .rtab.sr2 tr.st0, .rtab.sr2 tr.st3, .rtab.sr2 tr.st4, .rtab .noKrs, .rtab .noLimit, .rtab.sr2.jdg table, .rtab.noLimit table, .rtab.sr3 tr.st0  {
  display: none;
}
.rtab.sr2.jdg .noKrs, .rtab.noLimit .noLimit {
  display: block;
  padding: 10px;
}
#popup-ul-sel .rtab {
  margin: 30px 0;
}
.rtab .fwb {
  font-weight: bold;
}
.rtab table td:not(:first-child) {
  text-align: center;
}
/**/

input.btn[type=submit],
.input-group-btn:last-child > .btn:not(:last-child):not(.dropdown-toggle){ 
  border-radius: 6px !important;
  border-top-right-radius: 6px !important;
  border-bottom-right-radius: 6px !important;
  border-top-left-radius: 6px !important;
  border-bottom-left-radius: 6px !important;

}


/**/
.fp_dn:not(.act), .fun_pok_ukr.act .fp_p, .fun_pok_ukr:not(.act) .fp_u {
  display: none;
}
/**/


.form-group.required .control-label:after { content: ' *'; }

.alrt { padding: 8px 16px; }


.ico-caret-down {
  width: 32px;
  height: 26px;
  background: url("../images/ico-caret-down.png") no-repeat center top;
  background-size: 20px;
  display: inline-block;
}

.report-row-bgw-details { display: none; }
.report-row-bgw-details td { font-style: italic; padding-left: 12px !important;  }
/*.report-row-bgw-details td:first-child { padding-left: 12px; } */


.table-wskazniki tbody tr.bold td {
  text-align: center;
  vertical-align: middle;
}


.open-gwf-details,
.open-gwf-details:hover,
.open-gwf-details:active,
.open-gwf-details:focus { width: 73px; margin-top: 4px; text-decoration: none; }


.open-terminy-details,
.open-terminy-details:hover,
.open-terminy-details:active,
.open-terminy-details:focus,
.open-regon-details,
.open-regon-details:hover,
.open-regon-details:active,
.open-regon-details:focus,
.open-metryczka-details,
.open-metryczka-details:hover,
.open-metryczka-details:active,
.open-metryczka-details:focus,
.open-crbr-details,
.open-crbr-details:hover,
.open-crbr-details:active,
.open-crbr-details:focus { width: 75px; margin-top: 4px; text-decoration: none; }


.metryczka-header { margin-top: -22px; margin-bottom: 15px; }

.word.word-hide { display: none; }
.dropup .word.word-hide { display: inline-block; }
.dropup .word.word-show { display: none; }
.fin-data-block,
.regon-data-block,
.krs-data-block,
.metryczka-block,
.terminy-data-block,
.dzial39-data-block,
.table-crbr-list { display: none; }

.fin-data-header,
.block-data-header { margin-top: 65px; margin-bottom: 45px; }


.gwf-header { margin: 0 auto; width: 620px; }
.regon-header { margin: 0 auto; width: 290px; }
.krs-header { margin: 0 auto; width: 500px; }
.terminy-header { margin: 0 auto; width: 620px; }
.crbr-header { margin: 0 auto; width: 620px; }

/* RZ */
.rciso {
  position: relative;
}

.rciso .ciso {
  position: absolute;
  top: 33px;
  left: 22px;
  z-index: 1;
  font-size: 14px;
  font-family: arial;
  width: 30px;
  text-align: center;
}

.rciso input {
  padding: 8px 12px 6px 40px !important;
}

/* REPORT REVIEWS */
.report-reviews { display: inline-block; }
.report-reviews .rate { display: inline-block; margin: 0 8px; }

.report-reviews .star { width: 16px; margin-top: -4px; }
ul.list-reviews li { min-height: 100px; padding: 14px 7px; display: block; border-bottom: 1px solid #aaa; clear: both; }
ul.list-reviews li .img-cont { 
  width: 70px;
  height: 70px;
  margin-right: 14px;
  background: url("../images/no-user.jpg") no-repeat center top;
  background-size: 100%;
  display: block;
  float: left;
}
ul.list-reviews li .img-cont .bg {   
  width: 70px;
  height: 70px;
  background-size: 70px;
  background-repeat: no-repeat;
  display: block;
}
ul.list-reviews li .img-cont img { width: 100%; }
ul.list-reviews li .author,
ul.list-reviews li .rate,
ul.list-reviews li .time { display: inline-block; margin-right: 14px; font-weight: bold; }


ul.list-reviews li .rev-cont { 
  display: block;
}

#modal-report-review .modal-body { max-height: 620px; overflow-y: scroll }


.monitoring-update-load { cursor: pointer; }


.ico-mobile { 
  background: #04375E;
  display: inline-block;
  width: 22px;
  height: 22px;
  color: #fff;
  font-style: normal !important;
  text-align: center;
  font-size: 1em;

}
.ico-mobile:before { 
  content: "M";
}

.ico-viewx { margin-top: 10px; }



/* KRS VIEW */
.container-view-krs { margin-top: 25px; }
.nav-krs {  }




.select2-dropdown.select2-dropdown--below { min-height: 280px; min-width: 250px !important; }
.select2-results ul { min-height: 270px; }
ul.select2-selection__rendered li { font-size: 10px; }

#adminModal .modal-body button.close { margin-top: -50px !important; }

ul.list-circle li {
  margin-left: 25px;
  list-style-type: disc;
}


.dot-red {
  color: #e63757;
  font-size: 1.2em;
}

/* html.fGpt */
html.fGpt .container-first h1 {
    font-size: 20px;
}
html.fGpt .xrow {
    position: relative;
    z-index: 999999999;
    background: #fff;
}
html.fGpt div#iMenu,
html.fGpt .row, html.fGpt .block-links, html.fGpt div#eMenu, html.fGpt .chatgpt > i, html.fGpt .chatgpt div#resizer {
    display: none;
}
html.fGpt .container.container-first {
    padding-left: 15px !important;
}
html.fGpt body {
  padding-left: 0 !important;
}
html.fGpt .chatgpt {
  position: absolute !important;
  top: 195px;
  left: 100px;
  right: 100px;
  bottom: 120px;
  width: calc(100% - 200px) !important;
  height: auto !important;
}
html.fGpt .chatgpt {
    /*left: 50px;*/
    /*right: 50px;*/
    /*width: calc(100% - 99px) !important;*/
}
html.fGpt .chatgpt .conversation {
    border: 1px solid #ccc;
    border-radius: 5px;
}
html.fGpt #pojo-a11y-toolbar {
    top: 100px !important;
}
html.fGpt .gptoff {
    display: block;
    text-align: center;
    margin: 20px;
    cursor: pointer;
}
html.fGpt .skfirme {
  display: block !important;
  float: right;
}